<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.VipGroupMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.VipGroup">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="single_class_minutes_" property="singleClassMinutes" />
        <result column="payment_expire_date_" property="paymentExpireDate" />
        <result column="courses_expire_date_" property="coursesExpireDate" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="teacher_school_id_" property="teacherSchoolId" />
        <result column="online_classes_num_" property="onlineClassesNum" />
        <result column="offline_classes_num_" property="offlineClassesNum" />
        <result column="registration_start_time_" property="registrationStartTime" />
        <result column="name_" property="name" />
        <result column="vip_group_category_id_" property="vipGroupCategoryId" />
        <result column="audit_status_" property="auditStatus" />
        <result column="organ_id_list_" property="organIdList" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, single_class_minutes_, payment_expire_date_, courses_expire_date_, create_time_, update_time_, teacher_school_id_, online_classes_num_, offline_classes_num_, registration_start_time_, name_, vip_group_category_id_, audit_status_, organ_id_list_
    </sql>

</mapper>
